<?php
require_once 'library/useful-functions.php';
// Set up vars.
$errorMessage = '';
$dollType = '';
$dollStyle = '';
$price = 0;
// Get the doll type.
$dollType = getParamFromGet('doll_type');
// Get the doll style.
$dollStyle = getParamFromGet('doll_style');
if ($dollStyle == 'gang' && $dollType == 'psychopath') {
    $price = 32;
}
if ($dollStyle == 'gang' && $dollType == 'terrorist') {
    $price = 30;
}
if ($dollStyle == 'gang'
        && ($dollType != 'psychopath' && $dollType != 'terrorist')) {
    $errorMessage = 'Sorry, type must be psychopath or terrorist.';
}
if ($dollStyle == 'loner' && $dollType == 'psychopath') {
    $price = 35;
}
if ($dollStyle == 'loner' && $dollType == 'terrorist') {
    $price = 33;
}
if ($dollStyle == 'loner'
    && ($dollType != 'psychopath' && $dollType != 'terrorist')) {
    $errorMessage = 'Sorry, type must be psychopath or terrorist.';
}
if ($dollType == 'psychopath'
    && ($dollStyle != 'gang' && $dollStyle != 'loner')) {
    $errorMessage = 'Sorry, style must be gang or loner.';
}
if ($dollType == 'terrorist'
    && ($dollStyle != 'gang' && $dollStyle != 'loner')) {
    $errorMessage = 'Sorry, style must be gang or loner.';
}
?><!doctype html>
<html lang="en">
    <head>
        <?php
        require_once 'library/page-parts/head.php';
        ?>
    </head>
    <body>
        <?php
        require_once 'library/page-parts/top-nav.php';
        if ($errorMessage != '') {
            print "<div class='error-message'>
                     <p>There were errors.</p>
                     <p>$errorMessage</p>
                   </div>\n";
        }
        else {
            print "<p>Doll type: $dollType </p>\n";
            print "<p>Doll style: $dollStyle </p>\n";
            print "<p>Price: $$price </p>\n";

        }
        require_once 'library/page-parts/footer.php';
        ?>
    </body>
</html>