<?php
require_once 'library/useful-functions.php';
// Set up vars.
$errorMessage = '';
$dollType = '';
$dollStyle = '';
$price = 0;
// Check the doll type.
$dollType = getParamFromGet('doll_type');
if ($dollType == null) {
    $errorMessage .= 'Sorry, you must give a doll type.';
}
if ($errorMessage == '') {
    if ($dollType != 'psychopath' && $dollType != 'terrorist') {
        $errorMessage .= 'Sorry, we sell only psychopath and terrorist dolls.';
    }
}
// Check the doll style.
$dollStyle = getParamFromGet('doll_style');
if ($dollStyle == null) {
    $errorMessage .= 'Sorry, you must give a doll style.';
}
if ($errorMessage == '') {
    if ($dollStyle != 'gang' && $dollStyle != 'loner') {
        $errorMessage .= 'Sorry, we sell only dolls with gang and loner styles.';
    }
}
// Should there be processing?
if ($errorMessage == '') {
    // No errors.
    if ($dollType == 'psychopath') {
        $price += 20;
    }
    else {
        // Terrorist
        $price += 18;
    }
    if ($dollStyle == 'gang') {
        $price += 12;
    }
    else {
        $price += 15;
    }
}
?><!doctype html>
<html lang="en">
    <head>
        <?php
        require_once 'library/page-parts/head.php';
        ?>
    </head>
    <body>
        <?php
        require_once 'library/page-parts/top-nav.php';
        if ($errorMessage != '') {
            print "<div class='error-message'>
                     <p>There were errors.</p>
                     <p>$errorMessage</p>
                   </div>\n";
        }
        else {
            print "<p>Doll type: $dollType </p>\n";
            print "<p>Doll style: $dollStyle </p>\n";
            print "<p>Price: $$price </p>\n";

        }
        require_once 'library/page-parts/footer.php';
        ?>
    </body>
</html>